{ config, lib, pkgs, inputs, ... }: {
  boot = {
    kernelModules = [ "kvm-intel" ];

    initrd = {
      kernelModules = [ "dm-snapshot" ];
      availableKernelModules =
        [ "xhci_pci" "nvme" "usbhid" "usb_storage" "sd_mod" ];
    };

    loader.systemd-boot.enable = true;
    loader.efi.canTouchEfiVariables = true;
    loader.efi.efiSysMountPoint = "/boot/efi";
  };

  boot.initrd.secrets = { "/crypto_keyfile.bin" = null; };
  boot.initrd.luks.devices."luks-43a80125-4089-45be-9561-fab93f984916".device =
    "/dev/disk/by-uuid/43a80125-4089-45be-9561-fab93f984916";

  fileSystems."/boot/efi" = {
    device = "/dev/disk/by-uuid/D6C0-1A9D";
    fsType = "vfat";
  };

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/98f3597c-183a-45fb-b2a4-b598c18d089a";
    fsType = "btrfs";
    options = [ "subvol=@" ];
  };

  swapDevices = [ ];

  nix.settings = {
    max-jobs = 7;
    cores = 4;
  };
}
