{ config, pkgs, lib, ... }: {

  boot.extraModprobeConfig = "options thinkpad_acpi fan_control=1";
  services.thinkfan = {
    enable = true;
    levels = [
      [ 0 0 55 ]
      [ 1 48 60 ]
      [ 2 50 61 ]
      [ 3 52 63 ]
      [ 6 56 70 ]
      [ 7 65 85 ]
      [ "level full-speed" 80 32767 ]
    ];
    sensors = [
      {
        type = "hwmon";
        query = "/sys/class/hwmon";
        name = "coretemp";
        indices = [ 1 2 3 4 5 ];
      }
      {
        type = "hwmon";
        query = "/sys/class/hwmon";
        name = "nvme";
        indices = [ 1 ];
      }
      {
        type = "hwmon";
        query = "/sys/class/hwmon";
        name = "acpitz";
        indices = [ 1 ];
      }
      {
        type = "hwmon";
        query = "/sys/class/hwmon";
        name = "pch_skylake";
        indices = [ 1 ];
      }
      {
        type = "tpacpi";
        query = "/proc/acpi/ibm/thermal";
        indices = [ 0 1 ];
      }
    ];
  };
  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";
}
