{ config, pkgs, inputs, lib, nixpkgs-nixos-unstable-and-unfree, ... }: {
  environment.systemPackages = with pkgs; [ vim nixfmt ];

  imports = [ ../../git ../../mercurial ];
  services.nix-daemon.enable = true;
  nix = {
    useDaemon = true;
    gc.automatic = true;
    package = pkgs.nixUnstable;
    extraOptions = ''
      experimental-features = nix-command flakes
    '';
  };

  fonts.enableFontDir = true;
  fonts.fonts = with pkgs; [
    (fetchzip {
      name = "berkeley-mono-fonts";
      url = "file:///" + ../../fonts.zip;
      postFetch = ''
        mkdir -p $out/share/fonts
        unzip -j $downloadedFile \*.otf -d $out/share/fonts/opentype
      '';
      sha256 = "sha256-y+j3iHGXJP1pdylLJTlxbhyQ1oFAwini3o3ljLzOsoM=";
    })
    fira-code
    font-awesome
    iosevka
    material-icons
    nerdfonts
    noto-fonts-emoji
    powerline-fonts
    source-code-pro
    weather-icons
  ];

  programs.zsh.enable = true; # default shell on catalina

  system.stateVersion = 4;

  home-manager.users.cyryl = { ... }: {
    imports = [ ];
    home.packages = [ ];
  };
}
