{ config, lib, pkgs, inputs, ... }: {
  boot = {
    kernelModules = [ "kvm-intel" ];

    initrd = {
      kernelModules = [ "dm-snapshot" ];
      availableKernelModules =
        [ "ata_generic" "uhci_hcd" "ehci_pci" "ahci" "usb_storage" "sd_mod" ];
    };

    loader.grub.enable = true;
    loader.grub.version = 2;
    loader.grub.device = "/dev/sda";
  };

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/87ea2035-a966-4a06-8b66-e4ac366c3cb9";
    fsType = "btrfs";
  };

  boot.initrd.luks.devices."crypt".device =
    "/dev/disk/by-uuid/8d51b38a-5d90-4a7a-a86a-0d57648fd82d";

  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/195b3f15-885e-4123-879f-6e4591a58317";
    fsType = "ext2";
  };

  swapDevices = [ ];

  nix.settings = {
    max-jobs = 2;
    cores = 2;
  };
}
