{ config, pkgs, ... }: {
  console.keyMap = "pl";
  imports = [ ./tailscale ];
  services = {
    udev.packages = [ pkgs.android-udev-rules ];
    ratbagd.enable = true;

    fwupd = {
      enable = true;
      package = pkgs.fwupd;
    };

    tlp = {
      enable = true;
      settings = { "DISK_IOSCHED" = "mq-deadline"; };
    };

    upower.enable = true;
    fstrim.enable = true;
    clipmenu.enable = true;

    avahi = {
      enable = true;
      nssmdns = true;
    };

    geoclue2.enable = true;
    xserver = {
      enable = true;
      layout = "pl";
      xkbOptions = "caps:ctrl_modifier";
      libinput = {
        enable = true;
        touchpad = {
          naturalScrolling = false;
          disableWhileTyping = true;
        };
      };

      deviceSection = ''
        Option "TearFree" "true"
        Option "AccelMethod" "sna"
      '';

    };
  };
}
