{ config, pkgs, ... }: {
  programs.ssh.extraConfig = ''
    Host vpsfree1 
        HostName vpsfree1
        Port 2222 
    StrictHostKeyChecking=accept-new
  '';

  nix.buildMachines = [{
    hostName = "bolty";
    sshUser = "nix-builder";
    sshKey = "/home/cyryl/.ssh/id_ed25519";
    systems = [ "i686-linux" "x86_64-linux" "aarch64-linux" ];
    maxJobs = 2;
    speedFactor = 1;
    supportedFeatures = [ "kvm" "big-parallel" ];
    mandatoryFeatures = [ ];
  }];

  nix.extraOptions = ''
    builders-use-substitutes = true
  '';
  nix.distributedBuilds = true;

}
