{ config, pkgs, ... }: {

  programs.i3status-rust = {
    enable = true;
    bars = {
      top = {
        icons = "awesome5";
        theme = "solarized-dark";
        blocks = [
          {
            block = "custom";
            command = ../i3/openweathermap-fullfeatured.sh;
            interval = 600;
          }
          {
            block = "cpu";
            interval = 3;
            format = "{barchart} {utilization} {frequency}";
          }
          {
            block = "load";
            format = "{1m} {5m} {15m}";
          }
          {
            block = "disk_space";
            format = "{icon} {available}";
          }
          {
            block = "memory";
            interval = 60;
            format_mem = "{mem_avail}";
            icons = false;
          }
          {
            block = "time";
            format = "%a %d/%m %R";
            interval = 59;
          }
          {
            block = "battery";
            device = "BAT0";
            allow_missing = true;
            hide_missing = true;
            format = "{time}";
            good = 101;
          }
          {
            block = "battery";
            device = "BAT1";
            allow_missing = true;
            hide_missing = true;
            format = "{time}";
            good = 101;
          }
        ];
      };
    };
  };
}
